/**

 * Theme Name:     impel-ai.icreate.org
 * Author:         impel-ai.icreate.org
 * Template:       twentytwentyone
 * Text Domain:	   impel-ai.icreate.org
 * Description:    impel-ai.icreate.org is a blank canvas for your ideas and it makes the block editor your best brush. With new block patterns, which allow you to create a beautiful layout in a matter of seconds, this theme’s soft colors and eye-catching — yet timeless — design will let your work shine. Take it for a spin! See how Twenty Twenty-One elevates your portfolio, business website, or personal blog.
 * Theme URI:      http://impel-ai.icreate.org.in/
 * Author URI:     http://impel-ai.icreate.org.in/
 * Version:        1.2
 */

 .problem .problem-heading { 
    background: linear-gradient(to bottom, #c673ff, #6641a5);
    padding: 25px 15px;
    margin-bottom: 30px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.08);
    border-radius: 10px;
    color: white;
    font-weight: bold;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
  }
  .problem .problem-heading h5 {
    font-size: 20px;
    margin: 0;
    color:#ffffff;
  }
  .problem .problem-details p {
    font-size: 14px;
    line-height: 23px;
    margin-bottom: 10px;
  }
  .problem .problem-details p strong{
    font-weight:700;
  }

  .filtering .title{
    text-align: center;
}
.filtering .title h3{
    font-size: 20px;
}
.filter-cat {
    margin: 1em 0;
    display: flex;
    justify-content: center;
}
.filter-cat .f-cat .details p{
    font-weight: 600;
}
.details a{
    background-color: #2C1259;
    text-decoration: none;
    color: #ffffff;
    font-size: 14px;
    padding: 10px;
    border-radius: 5px;
    text-wrap: nowrap;
}
.details p{
    line-height: 25px;
    font-weight: normal;
}
.form-control{
    background-color: #2C1259;
    color: #ffffff;
    text-align: center;
}
.form-control:focus{
    background-color: #2C1259;
    color: #ffffff;
    box-shadow: 0 0 0 0.25rem rgb(83 13 253 / 25%);
}
.f-cat {
    color: #fff;
    padding: 1em;
    border: 5px solid #fff;
    background-color: #7C0FC41A;
}
/* .f-cat[data-cat="cat-red"] {
    background: #ff4136;
}
.f-cat[data-cat="cat-green"] {
    background: #2ecc40;
}
.f-cat[data-cat="cat-blue"] {
    background: #0074d9;
} */
.filter-cat-results .f-cat {
    opacity: 0;
    display: none;
}
.filter-cat-results .f-cat.active {
    opacity: 1;
    display: block;
    -webkit-animation: fadeIn 0.65s ease forwards;
    animation: fadeIn 0.65s ease forwards;
}
.custom-select-arrow {
    position: relative;
    background-image: url(./images/arrow-select.png);
    background-position: calc(100% - 15px) center;
    background-size: 12px;
    background-repeat: no-repeat;
}
@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
@media only screen and (max-width: 768px){
    .details{
        display: block !important;
    }
    .details p{
        margin-bottom: 20px;
    }
}